import { Component } from '@angular/core';

@Component({
  selector: 'app-services',
  templateUrl: './services.page.html',
  styleUrls: ['./services.page.scss'],
})
export class ServicesPage {
  hasSelfDisciplineScore = false;
  selfDisciplineScore: string = '';
  selfDisciplineEvaluation: string = '';

  hasTimeOptimizationSuggestion = false;
  timeOptimizationSuggestion: string = '';

  constructor() { }

  generateAISchedule() {
    // 进入子页面生成AI时间表的逻辑
    console.log('AI时间表生成按钮点击');
  }

  generateSelfDisciplineScore() {
    this.hasSelfDisciplineScore = true;
    this.selfDisciplineScore = '自律评分：85';
    this.selfDisciplineEvaluation = '昨天的表现很好，继续保持！';
    console.log('自律评分生成');
  }

  generateTimeOptimizationSuggestion() {
    this.hasTimeOptimizationSuggestion = true;
    this.timeOptimizationSuggestion = '建议每天早起一小时，提高效率。';
    console.log('时间优化建议生成');
  }
}
